Bug 747314 - [RFE] Authentication error displayed for qpid is not meaningful
Summary: [RFE] Authentication error displayed for qpid is not meaningful
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools
Version: 2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: 3.1
: ---
Assignee: Pavel Moravec
QA Contact: Petra Svobodová
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-19 13:20 UTC by Siddhesh Poyarekar
Modified: 2019-06-13 07:51 UTC (History)
9 users (show)

Fixed In Version: qpid-tools-0.30-1
Doc Type: Enhancement
Doc Text:
It was discovered that the python client raised ambiguous error messages when trying to connect without credentials to a broker with disabled anonymous authentication. This caused the user to not get the exact reason of connection failure. An improved error message now conveys the exact information to the user.
Clone Of:
Environment:
Last Closed: 2015-04-14 13:46:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-5864 None None None Never
Red Hat Bugzilla 902319 None CLOSED Qpid authentication error '...no mechanism available: No worthy mechs found' is in some situations misleading 2018-12-19 02:15:53 UTC
Red Hat Product Errata RHEA-2015:0805 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 3.1 Release 2015-04-14 17:45:54 UTC

Internal Links: 902319

Description Siddhesh Poyarekar 2011-10-19 13:20:17 UTC
2. What is the nature and description of the request?

The authentication error displayed "Failed: ConnectionFailed - (None, 'No acceptable SASL authentication mechanism available')" doesn't convey the exact information to the user. Mentioning SASL authentication unavailable is ambiguous from user's perspective. Throwing an exception like "authentication credentials required" would improve clarity.

3. Why does the customer need this? (List the business requirements here)

The error message is clear and the user understands the problem.

4. How would the customer like to achieve this? (List the functional requirements here)

Change the error message to something meaningful to the user, such as "Authentication required".

5. For each functional requirement listed in question 4, specify how Red Hat
      and the customer can test to confirm the requirement is successfully
      implemented.

The error message should be meaningful to the user.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

No.

7. How quickly does this need resolved? (desired target release)

Next, minor release (?)

8. Does this request meet the RHEL Bug and Feature Inclusion Criteria
      (please review)

Yes

9. List the affected packages

qpid-tools

10. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 3 Frank Hirtz 2013-12-13 03:38:35 UTC
Is this still a relevant request, in that is this still the current behavior? I ask because this might have been handled in the long period that it's been hibernating since it's a reasonable quality of life enhancement.

Comment 4 Justin Ross 2014-01-06 17:22:16 UTC
I'm not sure.  I'll assign it to the next major release for investigation.

(In reply to Frank Hirtz from comment #3)
> Is this still a relevant request, in that is this still the current
> behavior? I ask because this might have been handled in the long period that
> it's been hibernating since it's a reasonable quality of life enhancement.

Comment 9 Pavel Moravec 2014-07-01 14:09:50 UTC
Committed revision 1607086.

Comment 11 Petra Svobodová 2014-10-29 15:02:14 UTC
The error message generated when authentication credentials are required and missing is modified and more clear: "AuthenticationFailure: Anonymous connections disabled, missing credentials".

Verified on qpid-tools-0.30-1 on Rhel6.6-i386 and x86_64.

--> VERIFIED

Comment 17 errata-xmlrpc 2015-04-14 13:46:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0805.html


Note You need to log in before you can comment on or make changes to this bug.